org.appng.persistence.repository

## Class QueryDslSearchRepositoryImpl<T,ID extends Serializable>

- java.lang.Object
- - org.springframework.data.jpa.repository.support.SimpleJpaRepository<T,ID>
  - - org.appng.persistence.repository.SearchRepositoryImpl<T,ID>
    - - org.appng.persistence.repository.QueryDslSearchRepositoryImpl<T,ID>

- Type Parameters:
    `T` - the domain class
    `ID` - the type of the Id of the domain class
  All Implemented Interfaces:
    QueryDslSearchRepository<T,ID>, SearchRepository<T,ID>, org.springframework.data.jpa.repository.JpaRepository<T,ID>, org.springframework.data.jpa.repository.JpaSpecificationExecutor<T>, org.springframework.data.querydsl.QueryDslPredicateExecutor<T>, org.springframework.data.repository.CrudRepository<T,ID>, org.springframework.data.repository.PagingAndSortingRepository<T,ID>, org.springframework.data.repository.query.QueryByExampleExecutor<T>, org.springframework.data.repository.Repository<T,ID>

      public class QueryDslSearchRepositoryImpl<T,ID extends Serializable>
      extends SearchRepositoryImpl<T,ID>
      implements QueryDslSearchRepository<T,ID>

  Default `QueryDslSearchRepository` implementation.
  Use this class as the base class for your `QueryDslSearchRepository` implementations:

       <repositories base-class="org.appng.persistence.repository.QueryDslSearchRepositoryImpl">

  See 4.6.2. Adding custom behavior to all repositories from the reference Documentation for further details.
  Author:
    Matthias Müller

- - ### Field Summary

    - ### Fields inherited from class org.appng.persistence.repository.SearchRepositoryImpl

      `domainClass, entityManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryDslSearchRepositoryImpl(Class<T> domainType, javax.persistence.EntityManager entityManager)`
    `QueryDslSearchRepositoryImpl(org.springframework.data.jpa.repository.support.JpaEntityInformation<T,ID> entityInformation, javax.persistence.EntityManager entityManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `count(com.querydsl.core.types.Predicate predicate)`
    `boolean` | `exists(com.querydsl.core.types.Predicate predicate)`
    `Iterable<T>` | `findAll(com.querydsl.core.types.OrderSpecifier<?>... orders)`
    `Iterable<T>` | `findAll(com.querydsl.core.types.Predicate predicate)`
    `Iterable<T>` | `findAll(com.querydsl.core.types.Predicate predicate, com.querydsl.core.types.OrderSpecifier<?>... orders)`
    `org.springframework.data.domain.Page<T>` | `findAll(com.querydsl.core.types.Predicate predicate, org.springframework.data.domain.Pageable pageable)`
    `Iterable<T>` | `findAll(com.querydsl.core.types.Predicate predicate, org.springframework.data.domain.Sort sort)`
    `T` | `findOne(com.querydsl.core.types.Predicate predicate)`

    - ### Methods inherited from class org.appng.persistence.repository.SearchRepositoryImpl

      `createSearchQuery, detach, findAll, getHistory, getRevision, getRevisionNumber, isUnique, isUnique, search, search, search, search`

    - ### Methods inherited from class org.springframework.data.jpa.repository.support.SimpleJpaRepository

      `count, count, count, delete, delete, delete, deleteAll, deleteAllInBatch, deleteInBatch, exists, exists, findAll, findAll, findAll, findAll, findAll, findAll, findAll, findAll, findAll, findOne, findOne, findOne, flush, getCountQuery, getCountQuery, getDomainClass, getOne, getQuery, getQuery, getQuery, getQuery, getQueryHints, getRepositoryMethodMetadata, readPage, readPage, save, save, saveAndFlush, setEscapeCharacter, setRepositoryMethodMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.appng.persistence.repository.SearchRepository

      `createSearchQuery, detach, getHistory, getRevision, getRevisionNumber, isUnique, isUnique, search, search, search, search`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAll, flush, getOne, save, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, delete, delete, deleteAll, exists, findOne, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findOne`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaSpecificationExecutor

      `count, findAll, findAll, findAll, findOne`

- - ### Constructor Detail

    - #### QueryDslSearchRepositoryImpl

          public QueryDslSearchRepositoryImpl(org.springframework.data.jpa.repository.support.JpaEntityInformation<T,ID> entityInformation,
                                              javax.persistence.EntityManager entityManager)

    - #### QueryDslSearchRepositoryImpl

          public QueryDslSearchRepositoryImpl(Class<T> domainType,
                                              javax.persistence.EntityManager entityManager)

  - ### Method Detail

    - #### findOne

          public T findOne(com.querydsl.core.types.Predicate predicate)

      Specified by:
        `findOne` in interface `org.springframework.data.querydsl.QueryDslPredicateExecutor<T>`

    - #### findAll

          public Iterable<T> findAll(com.querydsl.core.types.Predicate predicate)

      Specified by:
        `findAll` in interface `org.springframework.data.querydsl.QueryDslPredicateExecutor<T>`

    - #### findAll

          public Iterable<T> findAll(com.querydsl.core.types.Predicate predicate,
                                     com.querydsl.core.types.OrderSpecifier<?>... orders)

      Specified by:
        `findAll` in interface `org.springframework.data.querydsl.QueryDslPredicateExecutor<T>`

    - #### findAll

          public org.springframework.data.domain.Page<T> findAll(com.querydsl.core.types.Predicate predicate,
                                                                 org.springframework.data.domain.Pageable pageable)

      Specified by:
        `findAll` in interface `org.springframework.data.querydsl.QueryDslPredicateExecutor<T>`

    - #### count

          public long count(com.querydsl.core.types.Predicate predicate)

      Specified by:
        `count` in interface `org.springframework.data.querydsl.QueryDslPredicateExecutor<T>`

    - #### findAll

          public Iterable<T> findAll(com.querydsl.core.types.Predicate predicate,
                                     org.springframework.data.domain.Sort sort)

      Specified by:
        `findAll` in interface `org.springframework.data.querydsl.QueryDslPredicateExecutor<T>`

    - #### findAll

          public Iterable<T> findAll(com.querydsl.core.types.OrderSpecifier<?>... orders)

      Specified by:
        `findAll` in interface `org.springframework.data.querydsl.QueryDslPredicateExecutor<T>`

    - #### exists

          public boolean exists(com.querydsl.core.types.Predicate predicate)

      Specified by:
        `exists` in interface `org.springframework.data.querydsl.QueryDslPredicateExecutor<T>`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.